Summary:	Userspace interface to kernel DRM services
Summary(pl.UTF-8):	Interfejs przestrzeni użytkownika do usług DRM jądra
Name:		libdrm
Version:	2.4.39
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dri.freedesktop.org/libdrm/%{name}-%{version}.tar.bz2
# Source0-md5:	9a299e021d81bab6c82307582c78319d
Patch0:		%{name}-kms.patch
URL:		http://dri.freedesktop.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	libpthread-stubs
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
Requires:	xorg-lib-libpciaccess >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Userspace interface to kernel DRM services.

%description -l pl.UTF-8
Interfejs przestrzeni użytkownika do usług DRM jądra.

%package devel
Summary:	Header files for libdrm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdrm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdrm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdrm.

%package static
Summary:	Static libdrm library
Summary(pl.UTF-8):	Statyczna biblioteka libdrm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdrm library.

%description static -l pl.UTF-8
Statyczna biblioteka libdrm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static \
%ifarch arm
	--enable-exynos-experimental-api \
	--enable-omap-experimental-api \
%endif
	--enable-vmwgfx-experimental-api
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm.so.2
%attr(755,root,root) %{_libdir}/libdrm_intel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_intel.so.1
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_nouveau.so.2
%attr(755,root,root) %{_libdir}/libdrm_radeon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_radeon.so.1
%ifarch arm
%attr(755,root,root) %{_libdir}/libdrm_omap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_omap.so.1
%attr(755,root,root) %{_libdir}/libdrm_exynos.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_exynos.so.1
%endif
%attr(755,root,root) %{_libdir}/libkms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkms.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so
%attr(755,root,root) %{_libdir}/libdrm_intel.so
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so
%attr(755,root,root) %{_libdir}/libdrm_radeon.so
%attr(755,root,root) %{_libdir}/libkms.so
%{_libdir}/libdrm.la
%{_libdir}/libdrm_intel.la
%{_libdir}/libdrm_nouveau.la
%{_libdir}/libdrm_radeon.la
%{_libdir}/libkms.la
%{_includedir}/libdrm
%{_includedir}/libkms
%{_includedir}/xf86drm.h
%{_includedir}/xf86drmMode.h
%{_pkgconfigdir}/libdrm.pc
%{_pkgconfigdir}/libdrm_intel.pc
%{_pkgconfigdir}/libdrm_nouveau.pc
%{_pkgconfigdir}/libdrm_radeon.pc
%{_pkgconfigdir}/libkms.pc
%ifarch arm
%attr(755,root,root) %{_libdir}/libdrm_exynos.so
%attr(755,root,root) %{_libdir}/libdrm_omap.so
%{_libdir}/libdrm_exynos.la
%{_libdir}/libdrm_omap.la
%{_includedir}/exynos
%{_includedir}/omap
%{_pkgconfigdir}/libdrm_exynos.pc
%{_pkgconfigdir}/libdrm_omap.pc
%endif

%files static
%defattr(644,root,root,755)
%{_libdir}/libdrm.a
%{_libdir}/libdrm_intel.a
%{_libdir}/libdrm_nouveau.a
%{_libdir}/libdrm_radeon.a
%ifarch arm
%{_libdir}/libdrm_exynos.a
%{_libdir}/libdrm_omap.a
%endif
%{_libdir}/libkms.a
%changelog
* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> f15de52
- updated to 2.4.39

* Sun Aug 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b2c82d
- up to 2.4.38

* Fri Jun 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7decc04
- up to 2.4.37

* Thu Jun 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c90603b
- up to 2.4.36

* Mon Jun 11 2012 Jakub Bogusz <qboosh@pld-linux.org> abd97ae
- AFAIK OMAP is ARM-specific; on ARM, enable Exynos too

* Thu Jun 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e33f2a
- up to 2.4.35

* Thu May 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 75d4edc
- up to 2.4.34; enable omap api

* Thu Mar 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aca0949
- up to 2.4.33

* Sat Mar 17 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a63bf6e
- up to 2.4.32

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> e273bfd
- updated to 2.4.31

* Fri Jan 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 73ecf7f
- up to 2.4.30

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b0f4f38
- up to 2.4.29

* Mon Dec 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f9f510
- up to 2.4.28

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c82ce6
- up to 2.4.27

* Wed Jun 08 2011 Jakub Bogusz <qboosh@pld-linux.org> ff8ca3f
- updated BRs

* Tue Jun 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e45828
- up to 2.4.26

* Mon Apr 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 97530ab
- up to 2.4.25

* Thu Mar 03 2011 Jan Palus <jan.palus@gmail.com> 822b2a1
- up to 2.4.24

* Fri Dec 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dc74f65
- up to 2.4.23

* Wed Sep 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4167613
- up to 2.4.22

